Back to index

salome-geom  6.5.0
Namespaces | Variables
GEOM_Nut.py File Reference

Go to the source code of this file.

Namespaces

namespace  GEOM_Nut

Variables

tuple GEOM_Nut.Sketcher_1 = geompy.MakeSketcher("Sketcher:F 100 -57.7:TT 100 57.7:TT 0 115.47:TT -100 57.7:TT -100 -57.7:TT 0 -115.47:WW")
tuple GEOM_Nut.Face_1 = geompy.MakeFace(Sketcher_1, 1)
tuple GEOM_Nut.Line_1 = geompy.MakeLineTwoPnt(geompy.MakeVertex(0,0,0), geompy.MakeVertex(0,0,100))
tuple GEOM_Nut.Prism_1 = geompy.MakePrismVecH(Face_1, Line_1, 100)
tuple GEOM_Nut.Sketcher_2 = geompy.MakeSketcher("Sketcher:F 50 0:TT 80 0:TT 112 13:TT 112 48:TT 80 63:TT 80 90:TT 50 90:WW", [0,0,0, 1,0,0, 0,1,0])
tuple GEOM_Nut.Face_2 = geompy.MakeFace(Sketcher_2, 1)
tuple GEOM_Nut.Revolution_1 = geompy.MakeRevolution(Face_2, Line_1, 2*math.pi)
tuple GEOM_Nut.Common_1 = geompy.MakeBoolean(Revolution_1, Prism_1, 1)
tuple GEOM_Nut.CommonExplodedListEdges = geompy.SubShapeAll(Common_1, geompy.ShapeType["EDGE"])
string GEOM_Nut.name = "Edge_"
tuple GEOM_Nut.Fillet_1 = geompy.MakeFillet(Common_1, 10, geompy.ShapeType["EDGE"], [5])
tuple GEOM_Nut.Chamfer_1 = geompy.MakeChamferEdge(Fillet_1, 10, 10, 16, 50 )
tuple GEOM_Nut.Chamfer_2 = geompy.MakeChamferEdge(Chamfer_1, 10, 10, 21, 31 )
tuple GEOM_Nut.thePath = os.getenv("DATA_DIR")
string GEOM_Nut.theFileName = "/Shapes/Brep/slots.brep"
tuple GEOM_Nut.theShapeForCut = geompy.ImportBREP(theFileName)
tuple GEOM_Nut.Cut_1 = geompy.MakeBoolean(Chamfer_2, theShapeForCut, 2)